# WSO2 Shared Analytics (Carbon Components and Features)

| Branch | Build Status |
| :------------ |:-------------
| master | [![Build Status](https://wso2.org/jenkins/job/shared-analytics/badge/icon)](https://wso2.org/jenkins/job/shared-analytics) |



Shared analytics contains reusable components and features which is bundled along with products related to WSO2 Analytics.

WSO2 Analytics contains powerful common components for real-time, batch, interactive, and predictive (via machine learning) analysis of data into one integrated platform. This supports the multiple demands of Internet of Things (IoT) solutions, as well as mobile and Web apps.


# Available Features
* Log4J Appender publishing log events to [DAS](http://wso2.com/products/data-analytics-server/)
* Log Analyzer Dashboard for [APIM](http://wso2.com/api-management/)


# Downstream projects
* [WSO2 Analytics for APIM](https://github.com/wso2/analytics-apim)
* [WSO2 Analytics for ESB](https://github.com/wso2/analytics-esb)


--------------------------------------------------------------------------------
# Support

WSO2 Inc. offers a variety of development and production support
programs, ranging from Web-based support up through normal business
hours, to premium 24x7 phone support.

For additional support information please refer to <http://wso2.com/support>


# Contact us
WSO2 Analytics developers can be contacted via the mailing lists:

* Developers List : dev@wso2.org
* Architecture List : architecture@wso2.org

--------------------------------------------------------------------------------
# Crypto Notice

   This distribution includes cryptographic software.  The country in
   which you currently reside may have restrictions on the import,
   possession, use, and/or re-export to another country, of
   encryption software.  BEFORE using any encryption software, please
   check your country's laws, regulations and policies concerning the
   import, possession, or use, and re-export of encryption software, to
   see if this is permitted.  See <http://www.wassenaar.org/> for more
   information.

   The U.S. Government Department of Commerce, Bureau of Industry and
   Security (BIS), has classified this software as Export Commodity
   Control Number (ECCN) 5D002.C.1, which includes information security
   software using or performing cryptographic functions with asymmetric
   algorithms.  The form and manner of this Apache Software Foundation
   distribution makes it eligible for export under the License Exception
   ENC Technology Software Unrestricted (TSU) exception (see the BIS
   Export Administration Regulations, Section 740.13) for both object
   code and source code.

   The following provides more details on the included cryptographic
   software:

   * Apache Rampart   : http://ws.apache.org/rampart/
   * Apache WSS4J     : http://ws.apache.org/wss4j/
   * Apache Santuario : http://santuario.apache.org/
   * Bouncycastle     : http://www.bouncycastle.org/

--------------------------------------------------------------------------------
(c) Copyright 2016 WSO2 Inc.